Loading...
Searching...
No Matches
blackoilextboparams.hpp File Reference

Contains the parameters required to extend the black-oil model by solvent component. More...

`#include <opm/material/common/Tabulated1DFunction.hpp>`
`#include <opm/material/common/UniformXTabulated2DFunction.hpp>`
`#include <vector>`

Go to the source code of this file.

## Classes

struct | Opm::BlackOilExtboParams< Scalar >
| Struct holding the parameters for the BlackoilExtboModule class. More...

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Detailed Description

Contains the parameters required to extend the black-oil model by solvent component.

For details, refer: [*] T.H. Sandve, O. Sævareid and I. Aavatsmark: “Improved Extended Blackoil Formulation for CO2 EOR Simulations.” in ECMOR XVII – The 17th European Conference on the Mathematics of Oil Recovery, September 2020.